Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_SSL3_MASTER_KEY_DERIVE_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_SSL3_MASTER_KEY_DERIVE_PARAMS

public class CK_SSL3_MASTER_KEY_DERIVE_PARAMS
extends Object

class CK_SSL3_MASTER_KEY_DERIVE_PARAMS provides the parameters to the CKM_SSL3_MASTER_KEY_DERIVE mechanism.

PKCS#11 structure:

     typedef struct CK_SSL3_MASTER_KEY_DERIVE_PARAMS {
       CK_SSL3_RANDOM_DATA RandomInfo;
       CK_VERSION_PTR pVersion;
     } CK_SSL3_MASTER_KEY_DERIVE_PARAMS;

Field Summary
`CK_VERSION` | `pVersion` PKCS#11: CK_VERSION_PTR pVersion;
`CK_SSL3_RANDOM_DATA` | `RandomInfo` PKCS#11: CK_SSL3_RANDOM_DATA RandomInfo;

Constructor Summary
`CK_SSL3_MASTER_KEY_DERIVE_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_SSL3_MASTER_KEY_DERIVE_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RandomInfo

    public CK_SSL3_RANDOM_DATA RandomInfo

  PKCS#11:

         CK_SSL3_RANDOM_DATA RandomInfo;

### pVersion

    public CK_VERSION pVersion

  PKCS#11:

         CK_VERSION_PTR pVersion;

Constructor Detail

### CK_SSL3_MASTER_KEY_DERIVE_PARAMS

    public CK_SSL3_MASTER_KEY_DERIVE_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_SSL3_MASTER_KEY_DERIVE_PARAMS.

  Returns:
    the string representation of CK_SSL3_MASTER_KEY_DERIVE_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.